from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XTransition(XInterface, Protocol):
    def update(self, t: float) -> None: ...
    def viewChanged(self, view: XSlideShowView, leavingBitmap: XBitmap, enteringBitmap: XBitmap) -> None: ...
